
- include_vars: "{{ item }}"
  with_first_found:
    - "../vars/{{ ansible_distribution_release }}.yml"
    - "../vars/empty.yml"

- name: check if rules file exists
  stat: 
    path: /usr/lib/postgresql/12/lib/cstore_fdw.so
  register: lib_exists

- name: PostgreSQL | Extensions | Make sure the cstore extensions are installed | Debian
  apt:
    name: "{{ postgresql_ext_cstore_deps }}"
    state: present
    update_cache: yes
    cache_valid_time: "{{apt_cache_valid_time | default (3600)}}"
  when: ansible_os_family == "Debian"
  notify:
    - restart postgresql

- name: PostgreSQL | Extensions | Unarchve cstore | Debian
  unarchive:
    src: https://github.com/citusdata/cstore_fdw/archive/v1.7.0.tar.gz
    dest: /tmp
    remote_src: yes
  when: lib_exists.stat.exists == False

- name: PostgreSQL | Extensions | make Cstore | Debian
  shell: make -C /tmp/cstore_fdw-1.7.0
  when: lib_exists.stat.exists == False

- name: PostgreSQL | Extensions | make install Cstore | Debian
  shell: make -C /tmp/cstore_fdw-1.7.0 install
  when: lib_exists.stat.exists == False

